13.3. Kodowanie dwuprzebiegowe MPEG-4 ("DivX")
Poprzedni | Rozdział 13. Podstawy używania MEncodera | Następny

## 13.3. Kodowanie dwuprzebiegowe MPEG-4 ("DivX")

Nazwa związana jest z faktem, iż przy użyciu tej metody plik kodowany jest dwa razy. Pierwsze kodowanie (dubbed pass) tworzy pliki tymczasowe (`*.log`) o rozmiarze kilku megabajtów, nie kasuj ich od razu (możesz natomiast skasować plik AVI a jeszcze lepiej nie tworzyć go w ogóle poprzez zapisywanie w `/dev/null`). W drugim przebiegu przy pomocy danych o bitrate z plików tymczasowych tworzony jest plik wyjściowy drugiego przebiegu. Plik końcowy będzie miał o wiele lepszą jakość w porównaniu ze standardowym 1-przebiegowym kodowaniem. Jeżeli pierwszy raz o tym słyszysz, powinieneś zajrzeć do któregoś z wielu przewodników dostępnych w sieci.

Przykład 13.2. kopiowanie ścieżki dźwiękowej

Dwuprzebiegowe kodowanie DVD do MPEG-4 ("DivX") AVI z kopiowaniem ścieżki dźwiękowej.

    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 -oac copy -o /dev/null
    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
        -oac copy -o output.avi

Przykład 13.3. kodowanie ścieżki dźwiękowej

Dwuprzebiegowe kodowanie DVD do MPEG-4 ("DivX") AVI z kodowaniem ścieżki dźwiękowej do MP3. Uważaj stosując tę metodę, ponieważ w niektórych przypadkach może zaowocować desynchronizacją audio/video.

    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 \
        -oac mp3lame -lameopts vbr=3 -o /dev/null
    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
        -oac mp3lame -lameopts vbr=3 -o output.avi

Poprzedni | Początek rozdziału | Następny
13.2. Wybieranie źródłowego zbioru lub urządzenia | Spis treści | 13.4. Kodowanie do formatu video Sony PSP